コンテンツにスキップ

空間IDと地物型による属性情報取得

GET
/citygml/spatialid_attributes
curl --request GET \
--url 'https://api.plateauview.mlit.go.jp/citygml/spatialid_attributes?sid=example&type=example'
sid
required
string

カンマ区切りの空間ID

skip_code_list_fetch
boolean

属性のコードリストを取得しない場合はtrueを指定。デフォルトはfalse。

type
required
string

カンマ区切りの地物型

属性情報のJSON形式での返却

Media type application/json
Array<object>

地物の属性情報

object
_bbox

ジオメトリのバウンディングボックス(lod1Solid)

object
center

バウンディングボックスの中心座標

object
alt

中心高度(メートル・標高)

number format: double
lat

中心緯度

number format: double
lng

中心経度

number format: double
max
object
alt

最大高度(メートル・標高)

number format: double
lat

最大緯度

number format: double
lng

最大経度

number format: double
min
object
alt

最小高度(メートル・標高)

number format: double
lat

最小緯度

number format: double
lng

最小経度

number format: double
_type

地物の型

string
gml:id

地物のID

string
key
additional properties
any
Example generated
[
{
"_bbox": {
"center": {
"alt": 1,
"lat": 1,
"lng": 1
},
"max": {
"alt": 1,
"lat": 1,
"lng": 1
},
"min": {
"alt": 1,
"lat": 1,
"lng": 1
}
},
"_type": "example",
"gml:id": "example"
}
]

無効なリクエスト

Media type application/json
object
error
required

エラーメッセージ

string
reason

エラーの原因

string
url

エラーが発生したURL

string
Example generated
{
"error": "example",
"reason": "example",
"url": "example"
}

リソースが見つからない

Media type application/json
object
error
required

エラーメッセージ

string
reason

エラーの原因

string
url

エラーが発生したURL

string
Example generated
{
"error": "example",
"reason": "example",
"url": "example"
}

サーバーエラー

Media type application/json
object
error
required

エラーメッセージ

string
reason

エラーの原因

string
url

エラーが発生したURL

string
Example generated
{
"error": "example",
"reason": "example",
"url": "example"
}